| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
qx::QxHttpRequest Class Reference
QxHttpServer : QxOrm library HTTP server (based on QxService module) : support SSL/TLS, persistent connection, deliver static files, REST API, etc...

qx::QxHttpRequest : HTTP request (headers + body) More...

`#include <QxHttpRequest.h>`

List of all members.

## Public Member Functions
| QxHttpRequest (QxHttpTransaction *transaction)
virtual | ~QxHttpRequest ()
QUrl & | url ()
QString & | command ()
QString & | version ()
QByteArray & | data ()
QHash< QByteArray, QByteArray > & | headers ()
QByteArray | header (const QByteArray &key)
QHash< QByteArray, QxHttpCookie > & | cookies ()
QxHttpCookie | cookie (const QByteArray &name)
QHash< QString, QVariant > & | dispatchParams ()
QHash< QString, QString > & | params ()
QString | param (const QString &key)
QString & | sourceAddress ()
long & | sourcePort ()
QString | guid () const
## Private Attributes
std::unique_ptr < QxHttpRequestImpl > | m_pImpl
| Private implementation idiom.

## Detailed Description

qx::QxHttpRequest : HTTP request (headers + body)

Definition at line 59 of file QxHttpRequest.h.

## Constructor & Destructor Documentation

qx::QxHttpRequest::QxHttpRequest | ( | QxHttpTransaction * | transaction | ) |

virtual qx::QxHttpRequest::~QxHttpRequest | ( |  | ) | `[virtual]`

## Member Function Documentation

QString& qx::QxHttpRequest::command | ( |  | ) |

QxHttpCookie qx::QxHttpRequest::cookie | ( | const QByteArray & | name | ) |

QHash<QByteArray, QxHttpCookie>& qx::QxHttpRequest::cookies | ( |  | ) |

QByteArray& qx::QxHttpRequest::data | ( |  | ) |

QHash<QString, QVariant>& qx::QxHttpRequest::dispatchParams | ( |  | ) |

QString qx::QxHttpRequest::guid | ( |  | ) | const

QByteArray qx::QxHttpRequest::header | ( | const QByteArray & | key | ) |

QHash<QByteArray, QByteArray>& qx::QxHttpRequest::headers | ( |  | ) |

QString qx::QxHttpRequest::param | ( | const QString & | key | ) |

QHash<QString, QString>& qx::QxHttpRequest::params | ( |  | ) |

QString& qx::QxHttpRequest::sourceAddress | ( |  | ) |

long& qx::QxHttpRequest::sourcePort | ( |  | ) |

QUrl& qx::QxHttpRequest::url | ( |  | ) |

QString& qx::QxHttpRequest::version | ( |  | ) |

## Member Data Documentation

std::unique_ptr<QxHttpRequestImpl> qx::QxHttpRequest::m_pImpl`[private]`

Private implementation idiom.

Definition at line 64 of file QxHttpRequest.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxHttpServer/QxHttpRequest.h